×

Discussion Board

Results 1 to 15 of 15
  1. #1
    Regular Contributor
    Join Date
    Sep 2004
    Posts
    90

    Question Install parallel CW 2.8 and 3.1 ?

    Hello,
    does anyone know, if it is possible - or how - to have installed both versions of CW on one machine?
    Thank you.
    --
    Tobias
    www.OutBank.de

  2. #2
    Nokia Developer Expert
    Join Date
    Oct 2004
    Location
    Austin, TX USA
    Posts
    271

    Re: Install parallel CW 2.8 and 3.1 ?

    It should simply be a matter of installing them in different directories. There's a utility called env_update.exe that lives in the bin directory. It will update your path and all other environment variables as necessary when you want to switch to the other one.

    I have to ask, however, why you need both installed. 3.1 should be able to do everything that 2.8 does, and more.

    Regards,

    Matt Pinsonneault
    Nokia Developer Platform Tools

  3. #3
    Regular Contributor
    Join Date
    Sep 2004
    Posts
    90

    Re: Install parallel CW 2.8 and 3.1 ?

    Hello Matt,
    thank you _very_ much about that information.

    We want to install both, 'cause we still need support for the older sdks (S60,SDK OS6.1 v1.2)...or does CW 3.1 support also those sdks?

    Br
    Tobias

    [OT] Is it possible to become a cabide.c++ (eclipse) beta tester ?

  4. #4
    Nokia Developer Expert
    Join Date
    Oct 2004
    Location
    Austin, TX USA
    Posts
    271

    Re: Install parallel CW 2.8 and 3.1 ?

    Tobias,

    I don't think we removed any SDK support with the new version, but we don't officially support the OS 6.1 SDK any more. For that matter, I don't think it's officially supported on 2.8 either. My advice would be to try developing for the older SDKs with CW 3.1 and see if it works for you. If so, feel free to remove 2.8 from your system. It will simplify things for you.

    And I'm afraid that the beta program is closed at this time, but the official release should be out pretty soon.

    Regards,

    Matt

  5. #5
    Regular Contributor
    Join Date
    Sep 2004
    Posts
    90

    Re: Install parallel CW 2.8 and 3.1 ?

    Matt, one last question...is there are special update price for CW2.8 licensee?
    Thanks you.
    Br
    Tobias

  6. #6
    Nokia Developer Expert
    Join Date
    Oct 2004
    Location
    Austin, TX USA
    Posts
    271

    Re: Install parallel CW 2.8 and 3.1 ?

    Please contact sales.codewarrior@nokia.com. They should be able to help you.

    Regards,

    Matt

  7. #7
    Regular Contributor
    Join Date
    Jan 2004
    Location
    Braunschweig, Germany
    Posts
    345

    Re: Install parallel CW 2.8 and 3.1 ?

    Hi Tobias,

    even if S60 SDK 1.2 ins not supported by CW 3.1 it works fine for me. I have several S60 SDKs installed on my machine as well as S60 and UIQ SDKs and can use them with CW 3.1.

    The only problem I encountered was that some SDKs were gone in the CW Symbian environments, but it is not problem adding them manually again. I think these configurations are stored in a devices.xml file somewhere. It might also work to backup this file and edit it later if some configurations are gone.

    The safest way should be to install the oldest SDKs first, but that might be too late for you now ;-)

    A good thing is to test such installations with VMWare first.

    Best Regards,
    Bernd

  8. #8
    Regular Contributor
    Join Date
    Sep 2004
    Posts
    90

    Re: Install parallel CW 2.8 and 3.1 ?

    Hello Bernd,
    thank's for your suggestions.
    Everything is working fine now. It is no problem to edit the devices.xml and switch between the sdks, if you build on commandline (or using th devices-command). For importing your mmp into CW, he's looking also into that file. And as you said, the S60 v1.2 still works fine with CW 3.1.
    Looking forward to carbide.c++ -> 87 days left for my CW ;-)
    cu
    Tobias

  9. #9
    Regular Contributor
    Join Date
    Jan 2004
    Location
    Braunschweig, Germany
    Posts
    345

    Re: Install parallel CW 2.8 and 3.1 ?

    Hello Tobias,

    normaly I only with with CW and not with command line. I rarely (re)import .mmp files because it doesn't work very well. I'm realy longing for carbide.c++. I've been using CW for about two years now...

    I singed up for the beta program but it seems my help was not needed for the first test round.

    Best Regards,
    Bernd

  10. #10
    Super Contributor
    Join Date
    Aug 2005
    Location
    india
    Posts
    2,078

    Re: Install parallel CW 2.8 and 3.1 ?

    hi tobias and Bernd

    i'm working in all platforms of symbian but i'm unable to set settings for the environment switch .In the sdk tools there is settings.xml for the sdks to be switched but when i try the same for code warrior the system is not recongising the commands at all.

    Can anyone of u guide with proper seetings.xml and for codewarrior settings.
    so that i can install n number of sdks in a single machine.

    Plz reply,
    Regards,
    Mateen Maldar

  11. #11
    Regular Contributor
    Join Date
    Jan 2004
    Location
    Braunschweig, Germany
    Posts
    345

    Re: Install parallel CW 2.8 and 3.1 ?

    Hi Mateen,

    there is no need to switch between environments with CW. You only have to take care that the 'Symbian Environments' (found in the menu in CW) are set properly. I think that is read from the devices.xml file. You have to install the CW SDKs of course.

    Sometimes I have to different CWs open with projects for different SDKs and can compile from both without any problems.

    Best Regards,
    Bernd

  12. #12
    Regular Contributor
    Join Date
    Sep 2004
    Posts
    90

    Re: Install parallel CW 2.8 and 3.1 ?

    Hello Mateen,
    I do not use the environment switch. I simply change the devices.xml tag "default".
    e.g.
    device id="S60_3rd" name="com.nokia.s60" default="no" userdeletable="no"
    to
    device id="S60_3rd" name="com.nokia.s60" default="yes" userdeletable="no"

    The same job is done by
    devices -setdefault @S60_3rd:com.nokia.s60

    There is no need anymore to set your EPOCROOT

    Br
    Tobias
    www.OutBank.de

  13. #13
    Super Contributor
    Join Date
    Aug 2005
    Location
    india
    Posts
    2,078

    Re: Install parallel CW 2.8 and 3.1 ?

    Thanks botias and Bernd,

    i set my environment in cw but i didn't find any devices.xml file.

    Regards,
    Mateen maldar

  14. #14
    Regular Contributor
    Join Date
    Sep 2004
    Posts
    90

    Re: Install parallel CW 2.8 and 3.1 ?

    On my german windows environment it is located at:
    C:\Programme\Gemeinsame Dateien\SYMBIAN\devices.xml
    Maybe yours at:
    C:\Program Files\Common Files\Symbian\devices.xml
    AFAIK that file/issue is supported since OS7.0 sdks, but it is usable with the older ones.
    cu
    Tobias

  15. #15
    Super Contributor
    Join Date
    Aug 2005
    Location
    india
    Posts
    2,078

    Re: Install parallel CW 2.8 and 3.1 ?

    Thanks tobias i got it and i'm really happy atleast i'm getting my replies fast.

    Thanks alot.

    Regards,
    Mateen maldar

Similar Threads

  1. Eclipse 3.1
    By bender316 in forum Mobile Java Tools & SDKs
    Replies: 0
    Last Post: 2005-06-29, 08:03

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×